Package Details: instantbird 1.5-1

Git Clone URL: https://aur.archlinux.org/instantbird.git (read-only)
Package Base: instantbird
Description: Instant messenger using libpurple and xulrunner
Upstream URL: http://instantbird.com
Licenses: GPL, MPL, LGPL
Submitter: ConnorBehan
Maintainer: ConnorBehan
Last Packager: ConnorBehan
Votes: 41
Popularity: 0.000000
First Submitted: 2008-08-24 23:32
Last Updated: 2015-07-08 15:00

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

ConnorBehan commented on 2012-02-07 19:35

The command `ls /usr/lib | grep -m1 xulrunner-devel | sed -e 's/.*-//'` is supposed to figure out what number to put after xulrunner-devel-. Like it will turn it into xulrunner-devel-7.0 or something. Is your /usr/lib unreadable by the user you're building as?

Unia commented on 2012-02-07 17:10

Getting an error building:
/home/jente/abs/aur/instantbird/src/instantbird-1.1-src/configure: line 12255: cd: /usr/lib/xulrunner-devel-: No such file or directory
configure: error: /include/xpcom-config.h doesn't exist
*** Fix above errors and then restart with "make -f client.mk build"
make[1]: *** [configure] Fout 1
make[1]: Map '/home/jente/abs/aur/instantbird/src/instantbird-1.1-src' wordt verlaten
make: *** [/home/jente/abs/aur/instantbird/src/instantbird-1.1-src/../obj-instantbird/Makefile] Fout 2

Can someone help?

tastyminerals commented on 2012-01-15 06:17

never mind, the official package works right out of the box

tastyminerals commented on 2012-01-15 05:49

pacman -Ss xulrunner
extra/xulrunner 9.0.1-1 [installed]

We are running arch, isn't it?
xulrunner is the of the latest version.

The other thing is this problem machine specific or does anybody else have this build error?

ConnorBehan commented on 2012-01-15 05:35

Xulrunner needs to be a 7.x for the build to work. Pretty much every build problem is because there has been a change in the major version number since the instantbird source came out.

tastyminerals commented on 2012-01-15 03:37

ls obj-instantbird/purple/purplexpcom/public/
Makefile

Xulrunner is default, synced before running "makepkg --install"

ConnorBehan commented on 2012-01-14 20:30

Hmm, do you have .h and .xpt files in obj-instantbird/purple/purplexpcom/public/_xpidlgen? And are you using xulrunner 7? I can only find imICommandsService.h referenced in cpp files. The Makefiles all reference imICommandsService.idl.

tastyminerals commented on 2012-01-14 09:28

Creating /home/user/downloads/instantbird/src/obj-instantbird/purple/purplexpcom/public/.deps
/home/user/downloads/instantbird/src/obj-instantbird/mozilla/config/nsinstall -D ../../../mozilla/dist/idl
/home/user/downloads/instantbird/src/obj-instantbird/mozilla/config/nsinstall -D ../../../mozilla/dist/idl
make[5]: *** No rule to make target `_xpidlgen/imICommandsService.h', needed by `export'. Stop.
make[5]: Leaving directory `/home/user/downloads/instantbird/src/obj-instantbird/purple/purplexpcom/public'
make[4]: *** [export] Error 2
make[4]: Leaving directory `/home/user/downloads/instantbird/src/obj-instantbird/purple'
make[3]: *** [export_tier_app] Error 2
make[3]: Leaving directory `/home/user/downloads/instantbird/src/obj-instantbird'
make[2]: *** [tier_app] Error 2
make[2]: Leaving directory `/home/user/downloads/instantbird/src/obj-instantbird'
make[1]: *** [default] Error 2
make[1]: Leaving directory `/home/user/downloads/instantbird/src/obj-instantbird'
make: *** [build] Error 2
==> ERROR: A failure occurred in build().
Aborting...

ConnorBehan commented on 2011-11-11 11:06

Oh well that's why. When a new version of xulrunner comes out and Florian hasn't updated instantbird to reflect that, it will most likely stop working.

Anonymous comment on 2011-11-11 11:00

find / -name nsIDOMWindowInternal.h don't result in any matches.